SESSION(1)

NAME
session -

DESCRIPTION

Session commands for CLI

AVAILABLE COMMANDS

•   authenticate

•   export

•   import

•   refresh

•   terminate

•   validate

  authenticate

  Description

Creates a CLI session using a browser based login flow. --region is a argument

  Usage

oci session authenticate [OPTIONS]

  Optional Parameters

--region [text]

    ap-melbourne-1,ap-mumbai-1,ap-osaka-1,ap-seoul-1,ap-sydney-1,ap-tokyo-1,us-phoenix-1,us-ashburn-1,eu-amsterdam-1,eu-frankfurt-1,eu-zurich-1,me-jeddah-1,uk-london-1,ca-toronto-1,ca-montreal-1,us-langley-1,us-luke-1,us-gov-ashburn-1,us-gov-chicago-1,us-gov-phoenix-1,sa-saopaulo-1,uk-gov-london-1

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

  export

  Description

Exports a CLI session into a zip that can be imported. The session exported is the active profile (specified either by defaults or the --config-file / --profile arguments.

  Usage

oci session export [OPTIONS]

  Required Parameters

--output-file [path]

    The name of the export file to create, including the path, minus any format-specific extension.

  Optional Parameters

--force

    If the ouptut zip already exists, overwrite the existing zip without a confirmation prompt.

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

  import

  Description

Imports a CLI session from an archive.

  Usage

oci session import [OPTIONS]

  Required Parameters

--session-archive [path]

    The session archive to import.

  Optional Parameters

--force

    If the profile being imported already exists, overwrite the existing profile without a confirmation prompt.

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

  refresh

  Description

Refreshes a CLI session

  Usage

oci session refresh [OPTIONS]

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

  terminate

  Description

Terminates a CLI session by removing the entry from the config and removing all referenced resources (e.g. keys)

  Usage

oci session terminate [OPTIONS]

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

  validate

  Description

Tests whether a CLI session is still valid

  Usage

oci session validate [OPTIONS]

  Optional Parameters

--local

    Only perform local validation of session by checking expiry time.

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle